Bug 10563 - Link to edit subscription from 'check expiraton' page is broken
Summary: Link to edit subscription from 'check expiraton' page is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 06:35 UTC by Katrin Fischer
Modified: 2014-12-07 20:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10563: Fix broken 'Edit' link on check expiration page (1.62 KB, patch)
2013-07-10 20:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10563: Fix broken 'Edit' link on check expiration page (1.72 KB, patch)
2013-07-16 16:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10563: Fix broken 'Edit' link on check expiration page (1.74 KB, patch)
2013-07-17 14:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-07-10 06:35:03 UTC
To test:

Find subscriptions using the 'Check expiration' search and try using the 'edit' links from there. 

"mod" in the link should be "modify" to make this work correctly.
Comment 1 Katrin Fischer 2013-07-10 20:46:31 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-07-16 16:39:41 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-07-17 14:48:20 UTC
Created attachment 19730 [details] [review]
Bug 10563: Fix broken 'Edit' link on check expiration page

This fixes the broken 'Edit' (subscription) link on the
check expiration page in serials.

To test:
- Add a subscription
- Go to the check expiration page
- Search for your subscription, use an expiration date in the
  far future
- Verify the edit link on the result list doesn't work right
  before applying the patch, but works after

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2013-07-17 15:05:10 UTC
Pushed to master.  Thanks, Katrin!
Comment 5 Tomás Cohen Arazi 2013-08-12 17:09:36 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Katrin!
Comment 6 Bernardo Gonzalez Kriegel 2013-08-13 13:33:59 UTC
Pushed to 3.10.x, will be in 3.10.10
Comment 7 Chris Hall 2013-08-20 09:55:12 UTC
Pushed to 3.8.x, will be in 3.8.17